//
//  AbstractDocument.h
//  MQEditor
//
//  Created by groumpf on 15/07/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

// Base class for documents
@interface AbstractDocument : NSDocument 
{
	// numero du son dans le multi (0..15, -1 si pas de multi)
	int part;
	
}

+ (NSString *)documentType;

// methods to manage parameters
- (uint8_t*)patch;
- (void)setParameters:(uint8_t*)aPatch;
- (void)setParameter:(int)aParameterNumber Value:(int)aValue;
- (int)getParameter:(int)aParameterNumber;
- (int)parameterChangeType;
- (int)dumpType;

- (void)setPart:(int)aNumber;
- (int)part;

@end
