//
//  SoundContainer.h
//  MQEditor
//
//  Created by groumpf on 01/05/05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "AbstractSound.h"

@interface SoundContainer : NSObject 
{

	// the sound container 
	NSMutableDictionary *sounds;
	
	// container size
	int size;
}

- (id)init:(int)aSize;

// init avec le format decrit dans data
- (id)initWithData:(NSData*)data;
- (id)initWithData:(NSData*)data offset:(int)aOffset size:(int)aSize;

- (void)setSound:(AbstractSound*)aObject At:(int)aIndex;
- (AbstractSound*)getSoundAt:(int)aIndex;

- (int)size;

// retourne un tableau contenant N fois (N = le nombre de sons)
// type de son : 1 octet
// numéro du sound 0..15 : 1 octet
// le tableau d'octets du sound : K octets, depend si Sound ou DrumMap
- (NSData*)data;


@end
